classification
Title: buttons in turtledemo disappear on small screens
Type: behavior Stage: resolved
Components: Demos and Tools Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: JanKanis, terry.reedy
Priority: normal Keywords: patch

Created on 2013-06-04 13:46 by JanKanis, last changed 2014-07-23 19:04 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
7cdaf0223e67.diff JanKanis, 2013-06-05 11:34 review
Repositories containing patches
https://bitbucket.org/JanKanis/cpython
Messages (7)
msg190596 - (view) Author: Jan Kanis (JanKanis) Date: 2013-06-04 13:46
If the window of the turtledemo is small enough, the start/stop/clear buttons disappear. This is specifically a problem when running on a netbook with a small screen, because the buttons are never shown. For a newcommer checking out the demo app this could be very confusing as there is no indication on what went wrong, and the notification area just says 'press start button'.
msg190652 - (view) Author: Jan Kanis (JanKanis) Date: 2013-06-05 11:34
I've created a patch, replacing the packed layout by a gridded layout
msg219295 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-05-28 19:23
On my widescreen, the buttons are completely gone when I shrink vertically to about 720 pixels. So they must be gone on a 600x800 screen or 720x1280 small widescreen and perhaps on a non-fullscreen window on a 780x10xx screen. I agree with fixing this if possible.

The patch applies cleanly to 3.4 and fixes the problem with the buttons. However, it introduces a problem with the vertical canvas scrollbar, on the right. It does not appear when it should and does not scroll the entire canvas when it does appear. Try it with bytedesign, and see if you can fix it with an altered patch.
msg219490 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-01 07:05
I believe I have read more than one warning to not mix grid and pack in the same master, as your patch does. For example: http://effbot.org/tkinterbook/grid.htm, An option would be to grid everything. I believe grid would also fix issue #21597, so I may try it and see if it fixes both issue without introducing a scrollbar problem.
msg219713 - (view) Author: Jan Kanis (JanKanis) Date: 2014-06-03 18:46
I wasn't aware that mixing grid and pack was a bad idea, as I was looking over turtledemo to learn how to use tkinter. The patch replaces a packing in one frame with a grid. All direct children of the graph_frame are gridded. graph_frame itself is still packed and so are the children of btn_frame which is a child of graph_frame. 

Also I wasn't able to find a clear definition of what is meant by 'master window' in the grid/pack warning, but supposedly that is the top level Tk() rather than a parent widget. I would offer to create a better patch but Lita Cho already did so in #21597.
msg219719 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-03 20:00
I had forgotten until I reread Lundh's note. I made the same assumption about 'master window'. Certainly 'conservative' is safest. Lita has not posted a patch, but since she is a (paid) summer intern (until mid August), I expect she will. If not, you can help finish this off before the next release cycle, which should be at least 3 months away. If you notice that nothing has happened by mid-August, please ping either or both issues.
msg223762 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-07-23 19:04
Fixed by
New changeset 60301b9982b2 by Terry Jan Reedy in branch '2.7':
Issue #21597: Turtledemo text pane can now be widened to view or copy complete
http://hg.python.org/cpython/rev/60301b9982b2

New changeset 0fb515063324 by Terry Jan Reedy in branch '3.4':
Issue #21597: Turtledemo text pane can now be widened to view or copy complete
http://hg.python.org/cpython/rev/0fb515063324
History
Date User Action Args
2014-07-23 19:04:42terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg223762

stage: patch review -> resolved
2014-06-03 20:00:12terry.reedysetmessages: + msg219719
2014-06-03 18:46:31JanKanissetmessages: + msg219713
2014-06-01 07:05:11terry.reedysetmessages: + msg219490
2014-05-28 19:23:28terry.reedysetstage: patch review
messages: + msg219295
versions: + Python 3.5, - Python 3.3
2014-05-27 22:28:44terry.reedysetnosy: + terry.reedy
2013-06-05 11:34:39JanKanissetfiles: + 7cdaf0223e67.diff
keywords: + patch
2013-06-05 11:34:01JanKanissethgrepos: + hgrepo195
messages: + msg190652
2013-06-04 17:20:59berker.peksagsetversions: - Python 2.6, Python 3.1, Python 3.2, Python 3.5
2013-06-04 13:47:24JanKanissettype: behavior
components: + Demos and Tools
2013-06-04 13:46:45JanKaniscreate